/* 
 * default.h --
 *
 *	This file defines the defaults for all options for all widgets.
 *
 * Copyright (c) 1995 Christian Werner.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */


#define DEF_FRAME_ATTRIB                 "normal"
#define DEF_FRAME_BG_COLOR               "black"
#define DEF_FRAME_BG_MONO                "black"
#define DEF_FRAME_FG_COLOR               "white"
#define DEF_FRAME_FG_MONO                "white"
#define DEF_FRAME_BORDER                 NULL
#define DEF_FRAME_HEIGHT                 "0"
#define DEF_FRAME_TAKE_FOCUS             "0"
#define DEF_FRAME_WIDTH                  "0"


#define DEF_BUTTON_ACTIVE_ATTR_COLOR     "normal"
#define DEF_BUTTON_ACTIVE_ATTR_MONO      "reverse"
#define DEF_BUTTON_ACTIVE_BG_COLOR       "white"
#define DEF_BUTTON_ACTIVE_BG_MONO        "black"
#define DEF_BUTTON_ACTIVE_FG_COLOR       "black"
#define DEF_BUTTON_ACTIVE_FG_MONO        "white"
#define DEF_BUTTON_ATTR                  "normal"
#define DEF_LABEL_ATTR                   "normal"
#define DEF_BUTTON_ANCHOR                "center"
#define DEF_BUTTON_BG_COLOR              "black"
#define DEF_BUTTON_BG_MONO               "black"
#define DEF_BUTTON_COMMAND               NULL
#define DEF_BUTTON_DISABLED_ATTR         "dim"
#define DEF_BUTTON_DISABLED_BG_COLOR     "black"
#define DEF_BUTTON_DISABLED_BG_MONO      "black"
#define DEF_BUTTON_DISABLED_FG_COLOR     "white"
#define DEF_BUTTON_DISABLED_FG_MONO      "white"
#define DEF_BUTTON_FG                    "white"
#define DEF_BUTTON_HEIGHT                "0"
#define DEF_BUTTON_OFF_VALUE             "0"
#define DEF_BUTTON_ON_VALUE              "1"
#define DEF_BUTTON_SELECT_COLOR          "red"
#define DEF_BUTTON_SELECT_MONO           "white"
#define DEF_BUTTON_STATE                 "normal"
#define DEF_BUTTON_TAKE_FOCUS            "1"
#define DEF_LABEL_TAKE_FOCUS             "0"
#define DEF_BUTTON_TEXT                  NULL
#define DEF_BUTTON_TEXT_VARIABLE         NULL
#define DEF_BUTTON_UNDERLINE             "-1"
#define DEF_BUTTON_UNDERLINE_ATTR        "bold"
#define DEF_BUTTON_UNDERLINE_FG_COLOR    "white"
#define DEF_BUTTON_UNDERLINE_FG_MONO     "white"
#define DEF_BUTTON_VALUE                 NULL
#define DEF_RADIOBUTTON_VARIABLE         NULL
#define DEF_CHECKBUTTON_VARIABLE         NULL
#define DEF_BUTTON_WIDTH                 "0"


#define DEF_ENTRY_BG_COLOR               "black"
#define DEF_ENTRY_BG_MONO                "black"
#define DEF_ENTRY_ATTR                   "normal"
#define DEF_ENTRY_FG                     "white"
#define DEF_ENTRY_JUSTIFY                "left"
#define DEF_ENTRY_SELECT_ATTR_COLOR      "normal"
#define DEF_ENTRY_SELECT_ATTR_MONO       "reverse"
#define DEF_ENTRY_SELECT_FG_COLOR        "black"
#define DEF_ENTRY_SELECT_FG_MONO         "black"
#define DEF_ENTRY_SELECT_BG_COLOR        "white"
#define DEF_ENTRY_SELECT_BG_MONO         "black"
#define DEF_ENTRY_SHOW                   NULL
#define DEF_ENTRY_STATE                  "normal"
#define DEF_ENTRY_TAKE_FOCUS             "1"
#define DEF_ENTRY_TEXT_VARIABLE          NULL
#define DEF_ENTRY_WIDTH                  "16"
#define DEF_ENTRY_SCROLL_COMMAND         NULL


#define DEF_LISTBOX_ACTIVE_ATTR_COLOR    "normal"
#define DEF_LISTBOX_ACTIVE_ATTR_MONO     "reverse"
#define DEF_LISTBOX_ACTIVE_BG_COLOR      "white"
#define DEF_LISTBOX_ACTIVE_BG_MONO       "black"
#define DEF_LISTBOX_ACTIVE_FG_COLOR      "black"
#define DEF_LISTBOX_ACTIVE_FG_MONO       "white"
#define DEF_LISTBOX_BG_COLOR             "black"
#define DEF_LISTBOX_BG_MONO              "black"
#define DEF_LISTBOX_FG                   "white"
#define DEF_LISTBOX_ATTR                 "normal"
#define DEF_LISTBOX_HEIGHT               "10"
#define DEF_LISTBOX_SELECT_ATTR_COLOR    "bold"
#define DEF_LISTBOX_SELECT_ATTR_MONO     "bold"
#define DEF_LISTBOX_SELECT_BG_COLOR      "black"
#define DEF_LISTBOX_SELECT_BG_MONO       "black"
#define DEF_LISTBOX_SELECT_FG_COLOR      "white"
#define DEF_LISTBOX_SELECT_FG_MONO       "white"
#define DEF_LISTBOX_SELECT_MODE          "browse"
#define DEF_LISTBOX_TAKE_FOCUS           "1"
#define DEF_LISTBOX_WIDTH                "20"
#define DEF_LISTBOX_SCROLL_COMMAND       NULL
#define DEF_LISTBOX_SCROLL_COMMAND       NULL


#define DEF_SCROLLBAR_ACTIVE_ATTR_COLOR  "normal"
#define DEF_SCROLLBAR_ACTIVE_ATTR_MONO   "reverse"
#define DEF_SCROLLBAR_ACTIVE_BG_COLOR    "white"
#define DEF_SCROLLBAR_ACTIVE_BG_MONO     "black"
#define DEF_SCROLLBAR_ACTIVE_FG_COLOR    "black"
#define DEF_SCROLLBAR_ACTIVE_FG_MONO     "white"
#define DEF_SCROLLBAR_ATTR               "normal"
#define DEF_SCROLLBAR_BG_COLOR           "black"
#define DEF_SCROLLBAR_BG_MONO            "black"
#define DEF_SCROLLBAR_COMMAND            NULL
#define DEF_SCROLLBAR_FG_COLOR           "white"
#define DEF_SCROLLBAR_FG_MONO            "white"
#define DEF_SCROLLBAR_ORIENT             "vertical"
#define DEF_SCROLLBAR_TAKE_FOCUS         "1"


#define DEF_MESSAGE_ANCHOR               "center"
#define DEF_MESSAGE_ASPECT               "320"
#define DEF_MESSAGE_ATTR                 "normal"
#define DEF_MESSAGE_BG_COLOR             "black"
#define DEF_MESSAGE_BG_MONO              "black"
#define DEF_MESSAGE_FG_COLOR             "white"
#define DEF_MESSAGE_FG_MONO              "white"
#define DEF_MESSAGE_JUSTIFY              "left"
#define DEF_MESSAGE_TAKE_FOCUS           "0"
#define DEF_MESSAGE_TEXT                 NULL
#define DEF_MESSAGE_TEXT_VARIABLE        NULL
#define DEF_MESSAGE_WIDTH                "0"


#define DEF_TEXT_ATTR                    "normal"
#define DEF_TEXT_BG_COLOR                "black"
#define DEF_TEXT_BG_MONO                 "black"
#define DEF_TEXT_FG                      "white"
#define DEF_TEXT_HEIGHT                  "10"
#define DEF_TEXT_SELECT_ATTR_COLOR       "normal"
#define DEF_TEXT_SELECT_ATTR_MONO        "reverse"
#define DEF_TEXT_SELECT_BG_COLOR         "white"
#define DEF_TEXT_SELECT_BG_MONO          "black"
#define DEF_TEXT_SELECT_FG_COLOR         "black"
#define DEF_TEXT_SELECT_FG_MONO          "white"
#define DEF_TEXT_STATE                   "normal"
#define DEF_TEXT_TABS                    ""
#define DEF_TEXT_TAKE_FOCUS              "1"
#define DEF_TEXT_WIDTH                   "40"
#define DEF_TEXT_WRAP                    "char"
#define DEF_TEXT_XSCROLL_COMMAND         NULL
#define DEF_TEXT_YSCROLL_COMMAND         NULL


#define DEF_MENUBUTTON_ATTR              "normal"
#define DEF_MENUBUTTON_ACTIVE_ATTR_COLOR "normal"
#define DEF_MENUBUTTON_ACTIVE_ATTR_MONO  "reverse"
#define DEF_MENUBUTTON_ACTIVE_BG_COLOR   "white"
#define DEF_MENUBUTTON_ACTIVE_BG_MONO    "black"
#define DEF_MENUBUTTON_ACTIVE_FG_COLOR   "black"
#define DEF_MENUBUTTON_ACTIVE_FG_MONO    "white"
#define DEF_MENUBUTTON_ANCHOR            "center"
#define DEF_MENUBUTTON_BG_COLOR          "black"
#define DEF_MENUBUTTON_BG_MONO           "black"
#define DEF_MENUBUTTON_DISABLED_ATTR     "dim"
#define DEF_MENUBUTTON_DISABLED_BG_COLOR "black"
#define DEF_MENUBUTTON_DISABLED_BG_MONO  "black"
#define DEF_MENUBUTTON_DISABLED_FG_COLOR "white"
#define DEF_MENUBUTTON_DISABLED_FG_MONO  "white"
#define DEF_MENUBUTTON_FG                "white"
#define DEF_MENUBUTTON_HEIGHT            "0"
#define DEF_MENUBUTTON_INDICATOR         "0"
#define DEF_MENUBUTTON_INDICATOR_FG_COLOR "red"
#define DEF_MENUBUTTON_INDICATOR_FG_MONO  "white"
#define DEF_MENUBUTTON_MENU              NULL
#define DEF_MENUBUTTON_STATE             "normal"
#define DEF_MENUBUTTON_TAKE_FOCUS        "0"
#define DEF_MENUBUTTON_TEXT              NULL
#define DEF_MENUBUTTON_TEXT_VARIABLE     NULL
#define DEF_MENUBUTTON_UNDERLINE         "-1"
#define DEF_MENUBUTTON_UNDERLINE_ATTR     "reverse"
#define DEF_MENUBUTTON_UNDERLINE_FG_COLOR "white"
#define DEF_MENUBUTTON_UNDERLINE_FG_MONO  "white"
#define DEF_MENUBUTTON_WIDTH             "0"


#define DEF_MENU_ENTRY_ACTIVE_ATTR       NULL
#define DEF_MENU_ENTRY_ACTIVE_BG         NULL
#define DEF_MENU_ENTRY_ACTIVE_FG         NULL
#define DEF_MENU_ENTRY_ACCELERATOR       NULL
#define DEF_MENU_ENTRY_ATTR              NULL
#define DEF_MENU_ENTRY_BG                NULL
#define DEF_MENU_ENTRY_COMMAND           NULL
#define DEF_MENU_ENTRY_FG                NULL
#define DEF_MENU_ENTRY_INDICATOR         "1"
#define DEF_MENU_ENTRY_LABEL             NULL
#define DEF_MENU_ENTRY_MENU              NULL
#define DEF_MENU_ENTRY_OFF_VALUE         "0"
#define DEF_MENU_ENTRY_ON_VALUE          "1"
#define DEF_MENU_ENTRY_SELECT            NULL
#define DEF_MENU_ENTRY_STATE             "normal"
#define DEF_MENU_ENTRY_VALUE             NULL
#define DEF_MENU_ENTRY_CHECK_VARIABLE    NULL
#define DEF_MENU_ENTRY_RADIO_VARIABLE    "selectedButton"
#define DEF_MENU_ENTRY_UNDERLINE         "-1"


#define DEF_MENU_ACTIVE_ATTR_COLOR       "normal"
#define DEF_MENU_ACTIVE_ATTR_MONO        "reverse"
#define DEF_MENU_ACTIVE_BG_COLOR         "white"
#define DEF_MENU_ACTIVE_BG_MONO          "black"
#define DEF_MENU_ACTIVE_FG_COLOR         "black"
#define DEF_MENU_ACTIVE_FG_MONO          "white"
#define DEF_MENU_ATTR                    "normal"
#define DEF_MENU_BG_COLOR                "black"
#define DEF_MENU_BG_MONO                 "black"
#define DEF_MENU_BORDER                  NULL
#define DEF_MENU_DISABLED_ATTR           "dim"
#define DEF_MENU_DISABLED_BG_COLOR       "black"
#define DEF_MENU_DISABLED_BG_MONO        "black"
#define DEF_MENU_DISABLED_FG_COLOR       "white"
#define DEF_MENU_DISABLED_FG_MONO        "white"
#define DEF_MENU_FG                      "white"
#define DEF_MENU_POST_COMMAND            ""
#define DEF_MENU_SELECT_COLOR            "red"
#define DEF_MENU_SELECT_MONO             "white"
#define DEF_MENU_TAKE_FOCUS              "0"
#define DEF_MENU_UNDERLINE_ATTR          "reverse"
#define DEF_MENU_UNDERLINE_FG_COLOR      "white"
#define DEF_MENU_UNDERLINE_FG_MONO       "white"
