'\"
'\" Copyright (c) 1994 The Regents of the University of California.
'\" Copyright (c) 1994-1995 Sun Microsystems, Inc.
'\" Copyright (c) 1996-1999 Christian Werner
'\"
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
.so man.macros
.TH ck_focusNext n 8.0 Ck "Ck Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
ck_focusNext, ck_focusPrev \- Utility procedures for managing the input focus.
.SH SYNOPSIS
\fBck_focusNext \fIwindow\fR
.br
\fBck_focusPrev \fIwindow\fR
.BE

.SH DESCRIPTION
.PP
\fBck_focusNext\fR is a utility procedure used for keyboard traversal.
It returns the ``next'' window after \fIwindow\fR in focus order.
The focus order is determined by
the stacking order of windows and the structure of the window hierarchy.
Among siblings, the focus order is the same as the stacking order, with the
lowest window being first.
If a window has children, the window is visited first, followed by
its children (recursively), followed by its next sibling.
Top-level windows other than \fIwindow\fR are skipped, so that
\fBck_focusNext\fR never returns a window in a different top-level
from \fIwindow\fR.
.PP
After computing the next window, \fBck_focusNext\fR examines the
window's \fB\-takefocus\fR option to see whether it should be skipped.
If so, \fBck_focusNext\fR continues on to the next window in the focus
order, until it eventually finds a window that will accept the focus
or returns back to \fIwindow\fR.
.PP
\fBck_focusPrev\fR is similar to \fBck_focusNext\fR except that it
returns the window just before \fIwindow\fR in the focus order.

.SH KEYWORDS
focus, keyboard traversal, toplevel
